/*
 * joinchatmenu.h
 *
 * Copyright 2013 David Vachulka <arch_dvx@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef JOINCHATMENU_H
#define JOINCHATMENU_H

#include <cppconsui/MenuWindow.h>
#include <cppconsui/Button.h>
#include <purplemm.h>

class JoinChatMenu
: public CppConsUI::MenuWindow
{
public:
    JoinChatMenu();
    virtual ~JoinChatMenu() {}

    // FreeWindow
    virtual void OnScreenResized();
private:
    JoinChatMenu(const JoinChatMenu&);
    JoinChatMenu& operator=(const JoinChatMenu&);

    void OpenPopup(CppConsUI::Button& activator, PURPLE::Account account);
};

#endif  /* JOINCHATMENU_H */

