#!/usr/bin/env bash

FOXDIR=../../../../fox-1.6

#qt sources
INPUT=`find ../../qt -type f -name *.cpp`

xgettext -C -j --from-code=UTF-8 --msgid-bugs-address=arch_dvx@users.sourceforge.net --package-name=dxim\
    --package-version=1.00.0 --copyright-holder="David Vachulka" --keyword=_ --keyword=N_ --keyword=_n:1,2\
    -o dxim.pot $INPUT

#fox sources
INPUT=`find ../../fox -type f -name *.cpp`

xgettext -C -j --from-code=UTF-8 --msgid-bugs-address=arch_dvx@users.sourceforge.net --package-name=dxim\
    --package-version=1.00.0 --copyright-holder="David Vachulka" --keyword=_ --keyword=N_ --keyword=tr:1 --keyword=_n:1,2\
    -o dxim.pot $INPUT

#gtkmm sources
INPUT=`find ../../gtkmm -type f -name *.cpp`

xgettext -C -j --from-code=UTF-8 --msgid-bugs-address=arch_dvx@users.sourceforge.net --package-name=dxim\
    --package-version=1.00.0 --copyright-holder="David Vachulka" --keyword=_ --keyword=N_ --keyword=_n:1,2\
    -o dxim.pot $INPUT

#curses sources
INPUT=`find ../../curses -type f -name *.cpp`

xgettext -C -j --from-code=UTF-8 --msgid-bugs-address=arch_dvx@users.sourceforge.net --package-name=dxim\
    --package-version=1.00.0 --copyright-holder="David Vachulka" --keyword=_ --keyword=N_ --keyword=_n:1,2\
    -o dxim.pot $INPUT

#purplemm sources
INPUT=`find ../../purplemm/src -type f -name *.cpp`

xgettext -C -j --from-code=UTF-8 --msgid-bugs-address=arch_dvx@users.sourceforge.net --package-name=dxim\
    --package-version=1.00.0 --copyright-holder="David Vachulka" --keyword=_ --keyword=N_ --keyword=_n:1,2\
    -o dxim.pot $INPUT

# FOX files
INPUT="$FOXDIR/src/FXMessageBox.cpp \
$FOXDIR/src/FXColorSelector.cpp \
$FOXDIR/src/FXDirSelector.cpp \
$FOXDIR/src/FXFileList.cpp \
$FOXDIR/src/FXFileSelector.cpp \
$FOXDIR/src/FXReplaceDialog.cpp \
$FOXDIR/src/FXSearchDialog.cpp \
$FOXDIR/src/FXStatusLine.cpp"

xgettext -C -j --from-code=UTF-8 --msgid-bugs-address=arch_dvx@users.sourceforge.net  --package-name=dxim --package-version=1.00.0 --copyright-holder="David Vachulka" --keyword=tr:1 -o dxim.pot $INPUT

for i in *.po
do
  echo "Updating $i ..."
  msgmerge --update --backup=off $i dxim.pot
done
