/*
 *      actionrequestdialog.h
 *
 *      Copyright 2012 David Vachulka <arch_dvx@users.sourceforge.net>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef ACTIONREQUESTDIALOG_H
#define	ACTIONREQUESTDIALOG_H

#include "fxext.h"
#include "dxutils.h"

class ActionRequestDialog : public FXDialogBox {
    FXDECLARE(ActionRequestDialog)
public:
    ActionRequestDialog(FXMainWindow *owner, PURPLE::ActionRequest *request);
    virtual ~ActionRequestDialog();

    long onButtons(FXObject *, FXSelector, void *);
private:
    ActionRequestDialog() {}
    ActionRequestDialog(const ActionRequestDialog&);

    PURPLE::ActionRequest *m_request;
};

#endif	/* ACTIONREQUESTDIALOG_H */

