/*
 *      exportmm.h
 *
 *      Copyright 2011 David Vachulka <arch_dvx@users.sourceforge.net>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef PURPLEMM_EXPORT_H
#define PURPLEMM_EXPORT_H

#ifdef PURPLEMM_STATIC
# define PURPLEMM_EXPORT
#else //PURPLEMM_STATIC
/* export classes under windows
 * visibility can be added later under all other systems
*/
#ifdef _MSC_VER
// we need to include windows.h here to not get compiler errors inside excpt.h (system header)
#include <windows.h>
#pragma warning( disable : 4251 )
#pragma warning( disable : 4996 )
#endif

#ifdef __WIN32
# ifdef purplemm_EXPORTS
#  define PURPLEMM_EXPORT __declspec(dllexport)
# else
#  define PURPLEMM_EXPORT __declspec(dllimport)
# endif
#else
# define PURPLEMM_EXPORT
#endif
#endif //PURPLEMM_STATIC

#endif // PURPLEMM_EXPORT_H
