/*
 *      fieldsrequestdialog.h
 *
 *      Copyright 2012 David Vachulka <arch_dvx@users.sourceforge.net>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef FIELDSREQUESTDIALOG_H
#define FIELDSREQUESTDIALOG_H

#include <gtkmm.h>
#include <purplemm.h>

class FieldsRequestDialog : public Gtk::Dialog {
public:
    FieldsRequestDialog(Gtk::Window& parent, PURPLE::FieldsRequest*);
    virtual ~FieldsRequestDialog();

    void on_response(int);
private:
    Gtk::Entry m_inputEntry;
    PURPLE::FieldsRequest *m_request;
    std::vector<Gtk::Widget*> m_fields;

    void createFields();
    void fillFields();
};

#endif  /* FIELDSREQUESTDIALOG_H */

