/*
 * eventloopmm.h
 *
 * Copyright (C) 2009, Jan Kaluza <hanzz@soc.pidgin.im>
 * Copyright 2011 David Vachulka <arch_dvx@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
 */

#ifndef EVENTLOOPMM_H
#define EVENTLOOPMM_H

#include <glib.h>
#include "purple.h"
#include "eventloop.h"

namespace PURPLE
{

#define READ_COND  (G_IO_IN | G_IO_HUP | G_IO_ERR)
#define WRITE_COND (G_IO_OUT | G_IO_HUP | G_IO_ERR | G_IO_NVAL)

PurpleEventLoopUiOps *getEventLoopUiOps();

} /* namespace PURPLE */

#endif // EVENTLOOPMM_H
